Совместимость компонента J2.5

  • 2 Ответов
  • 168 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

Всем привет.
Есть компонент под Joomla 2.5. Очень хочется его запилить под Joomla 3.
Может кто-то сможет набросать наглядное "пособие", ну или хотя бы в каком направлении искать.
Поисковики ничего подобного не подсказали(
Ну или, быть может, кто-то сможет помочь (не за спасибо, конечно)

*

Оффлайн Septdir

  • *******
  • 2127
  • [+]106 / [-]0
  • JoomlaZen
    • Просмотр профиля
    • Игорь «Septdir» Бердичевский
Re: Совместимость компонента J2.5
« Ответ #1 : 13.08.2016, 17:44:53 »
Ну как бы вряд ли кто-то вам ответит. Компонент компоненту рознь. Ставте на 3 смотрите ошибки правте их. Хотя очень странно ведь почти все комоненты перешли на 3.х ибо там не так много изменний.
Не можете справиться с задачей сами пишите, решу ее за вас, не бесплатно*.
*Интересная задача, Деньги или Бартер. Натурой не беру!
________
Мои Контакты: Сайт | skype:septdir | Telegram | VK | Facebook | Twiter | Все контакты

*

Оффлайн neogeek

Re: Совместимость компонента J2.5
« Ответ #2 : 14.08.2016, 09:40:53 »
Вам уже все верно сказали. Вот немного информации о режиме совместимости - https://docs.joomla.org/J3.x:Developing_an_MVC_Component/Introduction#Migrating_Joomla.21_2.5_to_Joomla.21_3.0:
то бишь меняем JView на JViewLegacy и т.п.